%define upstream_name    Search-Query
%define upstream_version 0.307

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    The default query dialect
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::Transformer)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moo)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::sweep)
BuildArch:  noarch

%description
This class provides documentation and class methods.

Search::Query started as a fork of the excellent Search::QueryParser module
and was then rewritten to provide support for alternate query dialects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/sqd
%{_mandir}/man1/sqd.1*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.307.0-4.mga9
+ Revision: 1818994
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.307.0-3.mga8
+ Revision: 1506175
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.307.0-2.mga7
+ Revision: 1285982
- Mageia 7 Mass Rebuild

* Sun Jul 30 2017 sander85 <sander85> 0.307.0-1.mga7
+ Revision: 1132745
- update to 0.307

* Sun Jun 19 2016 pterjan <pterjan> 0.306.0-2.mga6
+ Revision: 1033019
- Rebuild for perl 5.22.2

* Fri Jan 15 2016 shlomif <shlomif> 0.306.0-1.mga6
+ Revision: 923280
- New version 0.306

* Sun Jul 05 2015 sander85 <sander85> 0.305.0-1.mga6
+ Revision: 851172
- update to 0.305

* Sun Oct 19 2014 umeabot <umeabot> 0.304.0-4.mga5
+ Revision: 789294
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.304.0-3.mga5
+ Revision: 750050
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.304.0-2.mga5
+ Revision: 686180
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 sander85 <sander85> 0.304.0-1.mga5
+ Revision: 634108
- update to 0.304

* Thu Jun 05 2014 sander85 <sander85> 0.303.0-1.mga5
+ Revision: 633416
- update to 0.303

* Wed Jun 04 2014 sander85 <sander85> 0.301.0-1.mga5
+ Revision: 633117
- update to 0.301

* Fri Apr 25 2014 shlomif <shlomif> 0.300.0-1.mga5
+ Revision: 617967
- New version 0.300

* Mon Mar 03 2014 jquelin <jquelin> 0.250.0-1.mga5
+ Revision: 598731
- update to 0.25

* Mon Feb 24 2014 jquelin <jquelin> 0.240.0-1.mga5
+ Revision: 596359
- update to 0.24

* Sat Oct 19 2013 umeabot <umeabot> 0.230.0-2.mga4
+ Revision: 533440
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 sander85 <sander85> 0.230.0-1.mga4
+ Revision: 473058
- update to 0.23

* Fri Jun 07 2013 jquelin <jquelin> 0.220.0-1.mga4
+ Revision: 439861
- update to 0.22

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 372556
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 23 2012 kharec <kharec> 0.210.0-1.mga3
+ Revision: 262759
- update to 0.21

* Mon Jun 04 2012 kharec <kharec> 0.200.0-1.mga3
+ Revision: 254031
- update to 0.20

* Sat Dec 03 2011 kharec <kharec> 0.190.0-1.mga2
+ Revision: 175493
- imported package perl-Search-Query


* Sat Dec 03 2011 cpan2dist 0.19-1mga
- initial mageia release, generated with cpan2dist
